Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.result
Class ProblemBenchmarkResult

    java.lang.Object
      org.optaplanner.benchmark.impl.result.ProblemBenchmarkResult

    public class ProblemBenchmarkResult

extends Object

Represents 1 problem instance (data set) benchmarked on multiple `Solver` configurations.

Field Summary
`protected org.slf4j.Logger` | `logger`

Constructor Summary
`ProblemBenchmarkResult(PlannerBenchmarkResult plannerBenchmarkResult)`

Method Summary
`void` | `accumulateResults(BenchmarkReport benchmarkReport)`
`protected static Map<ProblemBenchmarkResult,ProblemBenchmarkResult>` | `createMergeMap(PlannerBenchmarkResult newPlannerBenchmarkResult, List<SingleBenchmarkResult> singleBenchmarkResultList)`
`boolean` | `equals(Object o)`
`String` | `getAnchorId()`
`Long` | `getAverageUsedMemoryAfterInputSolution()`
`File` | `getBenchmarkReportDirectory()`
`Integer` | `getFailureCount()`
`File` | `getInputSolutionFile()`
`String` | `getName()`
`PlannerBenchmarkResult` | `getPlannerBenchmarkResult()`
`File` | `getProblemReportDirectory()`
`String` | `getProblemReportDirectoryPath()`
`Long` | `getProblemScale()`
`List<ProblemStatistic>` | `getProblemStatisticList()`
`List<SingleBenchmarkResult>` | `getSingleBenchmarkResultList()`
`SolutionFileIO` | `getSolutionFileIO()`
`SingleBenchmarkResult` | `getWinningSingleBenchmarkResult()`
`SingleBenchmarkResult` | `getWorstSingleBenchmarkResult()`
`boolean` | `hasAnyFailure()`
`boolean` | `hasAnyProblemStatistic()`
`boolean` | `hasAnySuccess()`
`int` | `hashCode()`
`boolean` | `hasProblemStatisticType(ProblemStatisticType problemStatisticType)`
`boolean` | `isWriteOutputSolutionEnabled()`
`void` | `makeDirs(File benchmarkReportDirectory)`
`Solution` | `readPlanningProblem()`
`void` | `registerProblemScale(long registeringProblemScale)` HACK to avoid loading the planningProblem just to extract it's problemScale.
`void` | `setInputSolutionFile(File inputSolutionFile)`
`void` | `setName(String name)`
`void` | `setPlannerBenchmarkResult(PlannerBenchmarkResult plannerBenchmarkResult)`
`void` | `setProblemStatisticList(List<ProblemStatistic> problemStatisticList)`
`void` | `setSingleBenchmarkResultList(List<SingleBenchmarkResult> singleBenchmarkResultList)`
`void` | `setSolutionFileIO(SolutionFileIO solutionFileIO)`
`void` | `setWriteOutputSolutionEnabled(boolean writeOutputSolutionEnabled)`
`String` | `toString()`
`long` | `warmUp(long startingTimeMillis, long warmUpTimeMillisSpentLimit, long timeLeft)`
`void` | `writeOutputSolution(SingleBenchmarkResult singleBenchmarkResult, Solution outputSolution)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

Constructor Detail

### ProblemBenchmarkResult

    public ProblemBenchmarkResult(PlannerBenchmarkResult plannerBenchmarkResult)

Method Detail

### getPlannerBenchmarkResult

    public PlannerBenchmarkResult getPlannerBenchmarkResult()

### setPlannerBenchmarkResult

    public void setPlannerBenchmarkResult(PlannerBenchmarkResult plannerBenchmarkResult)

### getName

    public String getName()

### setName

    public void setName(String name)

### getSolutionFileIO

    public SolutionFileIO getSolutionFileIO()

### setSolutionFileIO

    public void setSolutionFileIO(SolutionFileIO solutionFileIO)

### isWriteOutputSolutionEnabled

    public boolean isWriteOutputSolutionEnabled()

### setWriteOutputSolutionEnabled

    public void setWriteOutputSolutionEnabled(boolean writeOutputSolutionEnabled)

### getInputSolutionFile

    public File getInputSolutionFile()

### setInputSolutionFile

    public void setInputSolutionFile(File inputSolutionFile)

### getProblemStatisticList

    public List<ProblemStatistic> getProblemStatisticList()

### setProblemStatisticList

    public void setProblemStatisticList(List<ProblemStatistic> problemStatisticList)

### getSingleBenchmarkResultList

    public List<SingleBenchmarkResult> getSingleBenchmarkResultList()

### setSingleBenchmarkResultList

    public void setSingleBenchmarkResultList(List<SingleBenchmarkResult> singleBenchmarkResultList)

### getProblemScale

    public Long getProblemScale()

### getAverageUsedMemoryAfterInputSolution

    public Long getAverageUsedMemoryAfterInputSolution()

### getFailureCount

    public Integer getFailureCount()

### getWinningSingleBenchmarkResult

    public SingleBenchmarkResult getWinningSingleBenchmarkResult()

### getWorstSingleBenchmarkResult

    public SingleBenchmarkResult getWorstSingleBenchmarkResult()

### getAnchorId

    public String getAnchorId()

### getBenchmarkReportDirectory

    public File getBenchmarkReportDirectory()

### hasAnyFailure

    public boolean hasAnyFailure()

### hasAnySuccess

    public boolean hasAnySuccess()

### hasAnyProblemStatistic

    public boolean hasAnyProblemStatistic()

### hasProblemStatisticType

    public boolean hasProblemStatisticType(ProblemStatisticType problemStatisticType)

### getProblemReportDirectoryPath

    public String getProblemReportDirectoryPath()

### getProblemReportDirectory

    public File getProblemReportDirectory()

### makeDirs

    public void makeDirs(File benchmarkReportDirectory)

### warmUp

    public long warmUp(long startingTimeMillis,
                       long warmUpTimeMillisSpentLimit,
                       long timeLeft)

### readPlanningProblem

    public Solution readPlanningProblem()

### writeOutputSolution

    public void writeOutputSolution(SingleBenchmarkResult singleBenchmarkResult,
                                    Solution outputSolution)

### accumulateResults

    public void accumulateResults(BenchmarkReport benchmarkReport)

### registerProblemScale

    public void registerProblemScale(long registeringProblemScale)

  HACK to avoid loading the planningProblem just to extract it's problemScale. Called multiple times, for every `SingleBenchmarkResult` of this `ProblemBenchmarkResult`.

  Parameters:
    `registeringProblemScale` - >= 0

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### createMergeMap

    protected static Map<ProblemBenchmarkResult,ProblemBenchmarkResult> createMergeMap(PlannerBenchmarkResult newPlannerBenchmarkResult,
                                                                                       List<SingleBenchmarkResult> singleBenchmarkResultList)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.